%define upstream_name    Math-VectorReal
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Handling 3D Vector Mathematics
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
The 'Math::VectorReal' package defines a 3D mathematical "vector", in a way
that is compatible with the previous CPAN module 'Math::MatrixReal'.
However it provides a more vector oriented set of mathematical functions
and overload operators, to the 'MatrixReal' package. For example the normal
perl string functions "x" and "." have been overloaded to allow vector
cross and dot product operations. Vector math formula thus looks like
vector math formula in perl programs using this package.

While this package is compatible with Math::MatrixReal, you DO NOT need to
have that package to perform purely vector orientated calculations. You
will need it however if you wish to do matrix operations with these
vectors. The interface has been designed with this package flexibility in
mind.

The vectors are defined in the same way as a "row" 'Math::MatrixReal'
matrix, instead of that packages choice of "column" definition for vector
operations. Such vectors are multiplied to matices with the vector on the
left and the matrix on the right. EG: v * M -> 'v

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.20.0-8pclos2017
- rebuild against updates

